Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
nvidia-drivers-256.53 don't build against 2.6.36-gentoo
View unanswered posts
View posts from last 24 hours

 
Reply to topic    Gentoo Forums Forum Index Kernel & Hardware
View previous topic :: View next topic  
Author Message
Jaglover
Advocate
Advocate


Joined: 29 May 2005
Posts: 4742
Location: Saint Amant, Acadiana

PostPosted: Thu Oct 28, 2010 3:08 pm    Post subject: nvidia-drivers-256.53 don't build against 2.6.36-gentoo Reply with quote

Code:
/var/tmp/portage/x11-drivers/nvidia-drivers-256.53/work/kernel/nv-vm.c: In function 'nv_sg_map_buffer':
/var/tmp/portage/x11-drivers/nvidia-drivers-256.53/work/kernel/nv-vm.c:148: warning: assignment makes integer from pointer without a cast
/var/tmp/portage/x11-drivers/nvidia-drivers-256.53/work/kernel/nv-vm.c:233: warning: label 'done' defined but not used
/var/tmp/portage/x11-drivers/nvidia-drivers-256.53/work/kernel/nv-vm.c:143: warning: unused variable 'count'
/var/tmp/portage/x11-drivers/nvidia-drivers-256.53/work/kernel/nv.c:426: error: unknown field 'ioctl' specified in initializer
/var/tmp/portage/x11-drivers/nvidia-drivers-256.53/work/kernel/nv.c:426: warning: initialization from incompatible pointer type
make[4]: *** [/var/tmp/portage/x11-drivers/nvidia-drivers-256.53/work/kernel/nv.o] Error 1
make[4]: *** Waiting for unfinished jobs....
make[3]: *** [_module_/var/tmp/portage/x11-drivers/nvidia-drivers-256.53/work/kernel] Error 2
make[2]: *** [sub-make] Error 2
NVIDIA: left KBUILD.
nvidia.ko failed to build!

Ideas, thoughts are welcome.
Back to top
View user's profile Send private message
krinn
Advocate
Advocate


Joined: 02 May 2003
Posts: 4398

PostPosted: Thu Oct 28, 2010 3:18 pm    Post subject: Reply with quote

need a patch, let me check

edit: here, look my comment : https://bugs.gentoo.org/show_bug.cgi?id=336064#c6
Back to top
View user's profile Send private message
Jaglover
Advocate
Advocate


Joined: 29 May 2005
Posts: 4742
Location: Saint Amant, Acadiana

PostPosted: Thu Oct 28, 2010 4:51 pm    Post subject: Reply with quote

Thanks, I did search bugs, somehow missed this one.

Success! Thanks again. :)
Back to top
View user's profile Send private message
lysergicacid
Guru
Guru


Joined: 25 Nov 2003
Posts: 352
Location: The Universe,Virgo Super Cluster,Milky Way,Earth

PostPosted: Fri Nov 19, 2010 12:39 pm    Post subject: Reply with quote

doesnt work on sys-kernel/git-sources-2.6.37_rc1-r8 :-/
_________________
[img]http://valid.canardpc.com/cache/banner/2040927.png[/img]
Desktop:
[img]http://valid.canardpc.com/cache/banner/2703952.png[/img]
Back to top
View user's profile Send private message
keenblade
Veteran
Veteran


Joined: 03 Oct 2004
Posts: 1085

PostPosted: Fri Nov 19, 2010 12:41 pm    Post subject: Reply with quote

Just unmask nvidia-drivers-260.19.12. It works fine with kernel-2.6.36.
_________________
Anyway it's all the same at the end...
Need help to get it working: "x-fi surround 5.1"
Back to top
View user's profile Send private message
lysergicacid
Guru
Guru


Joined: 25 Nov 2003
Posts: 352
Location: The Universe,Virgo Super Cluster,Milky Way,Earth

PostPosted: Sat Nov 27, 2010 10:54 pm    Post subject: Reply with quote

keenblade wrote:
Just unmask nvidia-drivers-260.19.12. It works fine with kernel-2.6.36.


not possible with the card in my old box -
Code:
01:00.0 VGA compatible controller: nVidia Corporation NV36 [GeForce FX 5700LE] (rev a1)

_________________
[img]http://valid.canardpc.com/cache/banner/2040927.png[/img]
Desktop:
[img]http://valid.canardpc.com/cache/banner/2703952.png[/img]
Back to top
View user's profile Send private message
keenblade
Veteran
Veteran


Joined: 03 Oct 2004
Posts: 1085

PostPosted: Sun Nov 28, 2010 9:44 am    Post subject: Reply with quote

lysergicacid wrote:
keenblade wrote:
Just unmask nvidia-drivers-260.19.12. It works fine with kernel-2.6.36.


not possible with the card in my old box -
Code:
01:00.0 VGA compatible controller: nVidia Corporation NV36 [GeForce FX 5700LE] (rev a1)

If you don't need robust 3d acceleration, you can give a try to nouveau drivers which is working great. Also xrandr works perfect with nouveau.
_________________
Anyway it's all the same at the end...
Need help to get it working: "x-fi surround 5.1"
Back to top
View user's profile Send private message
Naib
Advocate
Advocate


Joined: 21 May 2004
Posts: 4185
Location: Removed by Neddy

PostPosted: Tue Nov 30, 2010 1:20 pm    Post subject: Reply with quote

or just don't upgrade the kernel
_________________
A free press is the unsleeping guardian of every other right that free men prize; it is the most dangerous foe of tyranny. Where men have the habit of liberty, the Press will continue to be the vigilant guardian of the rights of the ordinary citizen.
Back to top
View user's profile Send private message
Jaglover
Advocate
Advocate


Joined: 29 May 2005
Posts: 4742
Location: Saint Amant, Acadiana

PostPosted: Tue Nov 30, 2010 2:49 pm    Post subject: Reply with quote

... and there still is that patch, you can patch it by hand if needed.
Back to top
View user's profile Send private message
lysergicacid
Guru
Guru


Joined: 25 Nov 2003
Posts: 352
Location: The Universe,Virgo Super Cluster,Milky Way,Earth

PostPosted: Thu Dec 09, 2010 8:12 pm    Post subject: Reply with quote

sorry for slow/late reply yea i gave up n got nouveau working in the end, thanks for replys / sugestions :-)
_________________
[img]http://valid.canardpc.com/cache/banner/2040927.png[/img]
Desktop:
[img]http://valid.canardpc.com/cache/banner/2703952.png[/img]
Back to top
View user's profile Send private message
Display posts from previous:   
Reply to topic    Gentoo Forums Forum Index Kernel & Hardware All times are GMT
Page 1 of 1

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum